/***************************************************************************
Copyright (c) 2016 Benedikt Stockebrand
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
***************************************************************************/

#ifndef BLINKS
#define BLINKS 7
#endif

#include <msp430.h>

void delay(unsigned long i)
{
  i = i*150; /* This is a *rough* guess */
  while (i--)
    __nop();
}

int main(void)
{
  WDTCTL = WDTPW | WDTHOLD;
  P1DIR |= (1<<0) | (1<<6);
  for (;;)
    {
      unsigned short i;
      for (i = BLINKS; i; i--)
	{
	  P1OUT |= (1<<0) | (1<<6);
	  delay(200);
	  P1OUT &= ~( (1<<0) | (1<<6) );
	  delay(200);
	}
      delay(800);
    }
  return 0;
}
